-- View: idm_rpt_data.idmrpt_role_cs_summary_v

-- DROP VIEW idm_rpt_data.idmrpt_role_cs_summary_v;

CREATE OR REPLACE VIEW idm_rpt_data.idmrpt_role_cs_summary_v AS 
 SELECT idmrpt_role.idmrpt_valid_from,
    idmrpt_role.idmrpt_valid_to,
    idmrpt_role.role_id,
        CASE
            WHEN btrim(idmrpt_rpt_driver.idv_host::text) = btrim(idmrpt_rpt_driver.idv_name::text) THEN idmrpt_rpt_driver.idv_name::text
            ELSE ((idmrpt_rpt_driver.idv_name::text || ' ('::text) || idmrpt_rpt_driver.idv_host::text) || ')'::text
        END AS idv_name,
        CASE
            WHEN btrim(idmrpt_role.role_name::text) = ''::text THEN idmrpt_role.role_dn
            ELSE idmrpt_role.role_name
        END AS role_name,
    idmrpt_role.role_desc,
    'now'::text::date + 7305 + 'now'::text::time with time zone AS fake_future_date
   FROM idm_rpt_data.idmrpt_rpt_driver_v idmrpt_rpt_driver,
    idm_rpt_data.idmrpt_idv_v idmrpt_idv,
    idm_rpt_data.idmrpt_role_cs_v idmrpt_role
  WHERE idmrpt_rpt_driver.idv_id::text = idmrpt_idv.idv_id::text AND idmrpt_idv.idv_id::text = idmrpt_role.idv_id::text AND
        CASE
            WHEN idmrpt_role.rpt_drv_id IS NULL THEN true
            ELSE idmrpt_rpt_driver.rpt_drv_id::text = idmrpt_role.rpt_drv_id::text
        END
  ORDER BY (
        CASE
            WHEN btrim(idmrpt_rpt_driver.idv_host::text) = btrim(idmrpt_rpt_driver.idv_name::text) THEN idmrpt_rpt_driver.idv_name::text
            ELSE ((idmrpt_rpt_driver.idv_name::text || ' ('::text) || idmrpt_rpt_driver.idv_host::text) || ')'::text
        END), (
        CASE
            WHEN btrim(idmrpt_role.role_name::text) = ''::text THEN idmrpt_role.role_dn
            ELSE idmrpt_role.role_name
        END), idmrpt_role.idmrpt_valid_from;

ALTER TABLE idm_rpt_data.idmrpt_role_cs_summary_v
  OWNER TO idm_rpt_data;
GRANT ALL ON TABLE idm_rpt_data.idmrpt_role_cs_summary_v TO idm_rpt_data;
GRANT SELECT ON TABLE idm_rpt_data.idmrpt_role_cs_summary_v TO idmrptuser;
